Bug 1348953 - fish don't work with unicode char
Summary: fish don't work with unicode char
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fish
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Lutomirski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 12:01 UTC by alsoijw
Modified: 2016-07-27 19:17 UTC (History)
4 users (show)

Fixed In Version: fish-2.3.1-1.fc24 fish-2.3.1-1.fc23 fish-2.3.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 15:02:57 UTC
Type: Bug


Attachments (Terms of Use)

Description alsoijw 2016-06-22 12:01:40 UTC
echo -e '\uE0B0'
If I run this command in bash, I will get 

But on fish I get this
\uE0B0

Comment 1 Fedora Update System 2016-07-07 14:12:22 UTC
fish-2.3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a

Comment 2 Fedora Update System 2016-07-07 14:13:04 UTC
fish-2.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748

Comment 3 Fedora Update System 2016-07-07 14:13:37 UTC
fish-2.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c

Comment 4 Fedora Update System 2016-07-10 03:18:22 UTC
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a

Comment 5 Fedora Update System 2016-07-10 03:53:12 UTC
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748

Comment 6 Fedora Update System 2016-07-10 15:58:53 UTC
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c

Comment 7 Fedora Update System 2016-07-12 15:02:35 UTC
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 alsoijw 2016-07-13 18:43:10 UTC
$ echo -e '\uE0B0'
\uE0B0
$ echo "echo -e '\uE0B0'" | bash

$ fish --version
fish, version 2.3.1
Problems still persist.

Comment 9 Andy Lutomirski 2016-07-13 18:46:19 UTC
I think this bug is in bash or coreutils, not fish:

$ echo "/bin/echo -e '\uE0B0'" | bash
\uE0B0

Comment 10 alsoijw 2016-07-14 11:44:39 UTC
So I need to create new bug report on coreutils and bash? Or you independently find wrong program?

Comment 11 Andy Lutomirski 2016-07-14 16:31:12 UTC
The echo manpage suggests that \u isn't supported:

https://www.gnu.org/software/coreutils/manual/html_node/echo-invocation.html

You could ask coreutils to add that feature.

Comment 12 Fedora Update System 2016-07-19 22:23:35 UTC
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-07-27 19:17:38 UTC
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.